# $Revision: 1.12 $, $Date: 2010/06/06 08:34:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Pcalc
Summary:	Date::Pcalc Perl module - Gregorian calendar date calculations
Summary(pl.UTF-8):	Moduł Perla Date::Pcalc - obliczenia na datach wg kalendarza gregoriańskiego
Name:		perl-Date-Pcalc
Version:	6.1
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6a719d8fe10ac673be5d09e003130aa8
URL:		http://catcode.com/date/pcalc.html
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Bit-Vector >= 7.1
BuildRequires:	perl-Carp-Clan >= 5.3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(anything_fake_or_conditional)'

%description
This package consists of a Perl module for all kinds of date
calculations based on the Gregorian calendar (the one used in all
western countries today), thereby complying with all relevant norms
and standards: ISO/R 2015-1971, DIN 1355 and, to some extent, ISO 8601
(where applicable).

%description -l pl.UTF-8
Ten pakiet zawiera moduł Perla do wszystkich rodzajów obliczeń na
datach opartych na kalendarzu gregoriańskim (używanym aktualnie we
wszystkich państwach zachodnich) w sposób zgodny z odpowiednimi
normami i standardami: ISO/R 2015-1971, DIN 1355 i, w pewnym zakresie,
ISO 8601.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a tools $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt INSTALL.txt README.txt EXAMPLES.txt
%dir %{perl_vendorarch}/Date
%{perl_vendorarch}/Date/*.pm
%dir %{perl_vendorarch}/Date/Pcalc
%{perl_vendorarch}/Date/Pcalc/Object.pm
%{perl_vendorarch}/Date/Pcalendar.pm
%dir %{perl_vendorarch}/Date/Pcalendar
%{perl_vendorarch}/Date/Pcalendar/*.pm
%dir %{perl_vendorarch}/auto/Date
%dir %{perl_vendorarch}/auto/Date/Pcalc
%{perl_vendorarch}/auto/Date/Pcalc/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Date/Pcalc/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Pcalc.spec,v $
Revision 1.12  2010/06/06 08:34:14  arekm
- release 3

Revision 1.11  2009/10/27 21:17:27  amateja
- added missing %dirs in %files section
- release 2

Revision 1.10  2009/10/27 08:12:09  amateja
- updated to 6.1
- cleaned up BRs
- examples added
- cleaned up %files

Revision 1.9  2009/10/20 07:07:04  amateja
- updated to 6.0

Revision 1.8  2008/07/27 22:31:59  arekm
- release 4

Revision 1.7  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:18  paladine
- formatting

Revision 1.4  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.3  2004/03/25 10:29:48  blues
- release 3 (rel. 2 is in RA)

Revision 1.2  2004/03/22 22:50:19  qboosh
- pl, License

Revision 1.1  2004/03/22 09:37:11  luzik
- initial release
